%% SGboots and SG demo
% --------------------------------------------------------
% Reference:
% ?Lpez FA, Matilla M, Mur J, Ruiz M and Pez A (2015) A note on the SG(m) test, 
% Journal of Geographical Systems (forthcoming)
% --------------------------------------------------------
clear
clc
R=1000; % Sample size
C=rand(R,2); % Coordenates
m=4;% embedding dimension

% Get the m-surrounding (full overlap)
mh=m_hist0(C(:,1),C(:,1),m-1); % select m-subrounding

% Get m-surrounding without overlapping
mhss=m_hist_nonoverlaping(mh);

%% Spatial Ramdon Process

% The W matrix
W=zeros(R,R);
for i0=1:R
    for j0=2:m
        W(i0,mh(i0,j0))=1;
    end
end

Ws= W./repmat(sum(W,2),1,R);

rho=0.5; % level of spatial dependence

% Spatial SAR process
Y=inv(eye(R,R)-rho*Ws)*randn(R,1);

%% Get the SG test without overlapping
itb=999; % number of boots
SGboots(Y,mh,itb);


%% Get the test with overlapping
info.plot='yes'; % To print
info.print='yes'; % To get symbols plot frecuency
SG(Y,mhss,info);

