function results = m_hist0(xc,yc,m)
% PROPOSITO: Get m-surrounding for m-1 near neighbourhood
%
% --------------------------------------------------------
% USAGE: 
% where: xc = coordinate x.
%        yc = coordinade y.
%        m  = embedding dimension.
% --------------------------------------------------------
% RETURNS: a Rxm-1 m-surrounding
% --------------------------------------------------------
%
% written by (17/01/08):
%
% Fernando A. Lpez Hernndez
% Facultad de C.C. de la Empresa
% Dpto. Metodos Cuantitativos e Informticos
% Universidad Politcnica de Cartagena
% e-mail: Fernando.Lopez@upct.es
% 
% --------------------------------------------------------

n=length(xc);
nnlist = zeros(n,m); %aqu pondre las n m-historias

for i=1:n;
    xi = xc(i);
    yi = yc(i);
    dist = (xc - xi*ones(n,1)).^2 + (yc - yi*ones(n,1)).^2;
    for j=1:n
        [THETA(j),RHO(j)] = cart2pol( -xc(j)+xi,-yc(j)+yi);
    end
    THETAT=THETA';
    DC=[dist THETAT];
    [xds xind] = sortrows(DC,[1 -2]);
    nnlist(i,1:m) = xind(2:m+1,1)';
end
aa=1:n;
sal=[aa' nnlist];
results=sal;
